summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bootstrap-prefix.sh')
-rwxr-xr-xscripts/bootstrap-prefix.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 024a77392a..f49a595ad0 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -44,7 +44,10 @@ emake() {
estatus "stage1: building ${PWD##*/}"
fi
read -r -a makeopts <<< "${MAKEOPTS}"
- v "${MAKE}" "${makeopts[@]}" "$@" || return 1
+ if ! v "${MAKE}" "${makeopts[@]}" "$@" ; then
+ estatus "stage1: retry with -j1 for clearer error message in ${PWD##*/}"
+ v "${MAKE}" "${makeopts[@]}" "$@" -j1 || return 1
+ fi
}
efetch() {